Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.publicinterface
Class DescriptorEventManager

`java.lang.Object
oracle.toplink.publicinterface.DescriptorEventManager`

All Implemented Interfaces:
  java.lang.Cloneable, java.io.Serializable

Direct Known Subclasses:
  DescriptorEventManager

Deprecated. since OracleAS TopLink 10g (10.1.3). This class is replaced by `DescriptorEventManager`

public class DescriptorEventManager
extends java.lang.Object
implements java.lang.Cloneable, java.io.Serializable

Purpose: The event manager allows for a descriptor to specify that an object should be notified when a TopLink event occurs. It also determines how the object will be notified. To specify an event a method name can be registered to be called on the object when the event occurs. Events can be used to extend the TopLink reading and writing behavior.

These events include:

- pre/postWrite - occurs when an object is written (occurs even if no changes to the object).
- pre/postInsert - occurs when an object is inserted.
- pre/postUpdate - occurs when an object is updated (occurs even if no changes to the object).
- pre/postDeleted - occurs when an object is deleted.
- postBuild/postRefresh - occurs after a object has been built/refreshed from its database row.
- aboutTo/Insert/Update - occurs when an object is about to be inserted/update allows for row modification.
- postClone - occurs when an object is registered/cloned in a unit of work.
- postMerge - occurs when an object is merged with its original in a unit of work.
- preCreate - occurs when create is called on the EntityManager, before the create operation proceeds
- preRemove - occurs when remove is called on the EntityManager, before the remove operation proceeds

See Also:
  `Descriptor`, Serialized Form

Field Summary
`static int` | `AboutToDeleteEvent` Deprecated.
`static int` | `AboutToInsertEvent` Deprecated.
`static int` | `AboutToUpdateEvent` Deprecated.
`static int` | `PostBuildEvent` Deprecated.
`static int` | `PostCloneEvent` Deprecated.
`static int` | `PostDeleteEvent` Deprecated.
`static int` | `PostInsertEvent` Deprecated.
`static int` | `PostMergeEvent` Deprecated.
`static int` | `PostRefreshEvent` Deprecated.
`static int` | `PostUpdateEvent` Deprecated.
`static int` | `PostWriteEvent` Deprecated.
`static int` | `PreDeleteEvent` Deprecated.
`static int` | `PreInsertEvent` Deprecated.
`static int` | `PrePersistEvent` Deprecated.
`static int` | `PreRemoveEvent` Deprecated.
`static int` | `PreUpdateEvent` Deprecated.
`static int` | `PreUpdateWithChangesEvent` Deprecated.
`static int` | `PreWriteEvent` Deprecated.

Method Summary
`void` | `addListener(DescriptorEventListener listener)` Deprecated. PUBLIC: Listener objects can be registered with the event manager to be notified when an event occurs on any instance of the descriptor's class.
`void` | `addListener(java.lang.Object listener)` Deprecated. since OracleAS TopLink 10g (10.1.3). This method is replaced by `addListener(DescriptorEventListener)`
`java.util.Vector` | `getEventListeners()` Deprecated. PUBLIC: Returns the Listener objects that have been added.
`java.lang.String` | `getPostBuildSelector()` Deprecated. PUBLIC: The name of the method called after an object is built
`java.lang.String` | `getPostCloneSelector()` Deprecated. PUBLIC: The name of the method called after an object is cloned
`java.lang.String` | `getPostDeleteSelector()` Deprecated. PUBLIC: The name of the method called after an object is deleted
`java.lang.String` | `getPostInsertSelector()` Deprecated. PUBLIC: The name of the method called after an object is inserted
`java.lang.String` | `getPostMergeSelector()` Deprecated. PUBLIC: The name of the method called after an object is merged
`java.lang.String` | `getPostRefreshSelector()` Deprecated. PUBLIC: The name of the method called after an object is refreshed
`java.lang.String` | `getPostUpdateSelector()` Deprecated. PUBLIC: The name of the method called after an object is updated
`java.lang.String` | `getPostWriteSelector()` Deprecated. PUBLIC: The name of the method called after an object is written
`java.lang.String` | `getPreDeleteSelector()` Deprecated. PUBLIC: The name of the method called before an object is deleted
`java.lang.String` | `getPreInsertSelector()` Deprecated. PUBLIC: The name of the method called before an object is inserted
`java.lang.String` | `getPrePersistSelector()` Deprecated. PUBLIC: The name of the method called before the create operation is applied to an object
`java.lang.String` | `getPreRemoveSelector()` Deprecated. PUBLIC: The name of the method called before the remove operation is applied to an object
`java.lang.String` | `getPreUpdateSelector()` Deprecated. PUBLIC: The name of the method called before an object is updated
`java.lang.String` | `getPreWriteSelector()` Deprecated. PUBLIC: The name of the method called before an object is written
`void` | `removeListener(DescriptorEventListener listener)` Deprecated. PUBLIC: Remove a event listener.
`void` | `removeListener(java.lang.Object listener)` Deprecated. since OracleAS TopLink 10g (10.1.3). This method is replaced by `removeListener(DescriptorEventListener)`
`void` | `setAboutToInsertSelector(java.lang.String aboutToInsertSelector)` Deprecated. PUBLIC: A method can be registered to be called when an object's row it about to be inserted.
`void` | `setAboutToUpdateSelector(java.lang.String aboutToUpdateSelector)` Deprecated. PUBLIC: A method can be registered to be called when an object's row it about to be updated.
`void` | `setPostBuildSelector(java.lang.String postBuildSelector)` Deprecated. PUBLIC: A method can be registered to be called on a object that has just been built from the database.
`void` | `setPostCloneSelector(java.lang.String postCloneSelector)` Deprecated. PUBLIC: A method can be registered to be called on a object that has just been cloned into a unit of work.
`void` | `setPostDeleteSelector(java.lang.String postDeleteSelector)` Deprecated. PUBLIC: A method can be registered to be called on a object that has just been deleted from the database.
`void` | `setPostInsertSelector(java.lang.String postInsertSelector)` Deprecated. PUBLIC: A method can be registered to be called on a object that has just been inserted into the database.
`void` | `setPostMergeSelector(java.lang.String postMergeSelector)` Deprecated. PUBLIC: A method can be registered to be called on a object that has just been merge from a unit of work.
`void` | `setPostRefreshSelector(java.lang.String postRefreshSelector)` Deprecated. PUBLIC: A method can be registered to be called on a object that has just been refreshed from the database.
`void` | `setPostUpdateSelector(java.lang.String postUpdateSelector)` Deprecated. PUBLIC: A method can be registered to be called on a object that has just been updated into the database.
`void` | `setPostWriteSelector(java.lang.String postWriteSelector)` Deprecated. PUBLIC: A method can be registered to be called on a object that has just been written to the database.
`void` | `setPreDeleteSelector(java.lang.String preDeleteSelector)` Deprecated. PUBLIC: A method can be registered to be called on a object that is going to be deleted from the database.
`void` | `setPreInsertSelector(java.lang.String preInsertSelector)` Deprecated. PUBLIC: A method can be registered to be called on a object that is going to be inserted into the database.
`void` | `setPrePersistSelector(java.lang.String prePersistSelector)` Deprecated. PUBLIC: A method can be registered to be called on a object when that object has the create operation applied to it.
`void` | `setPreRemoveSelector(java.lang.String preRemoveSelector)` Deprecated. PUBLIC: A method can be registered to be called on a object when that object has the remove operation applied to it.
`void` | `setPreUpdateSelector(java.lang.String preUpdateSelector)` Deprecated. PUBLIC: A method can be registered to be called on a object that is going to be updated into the database.
`void` | `setPreWriteSelector(java.lang.String preWriteSelector)` Deprecated. PUBLIC: A method can be registered to be called on a object that is going to be written to the database.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PreWriteEvent

    public static final int PreWriteEvent

  Deprecated.
  See Also:
    Constant Field Values

### PostWriteEvent

    public static final int PostWriteEvent

  Deprecated.
  See Also:
    Constant Field Values

### PreDeleteEvent

    public static final int PreDeleteEvent

  Deprecated.
  See Also:
    Constant Field Values

### PostDeleteEvent

    public static final int PostDeleteEvent

  Deprecated.
  See Also:
    Constant Field Values

### PreInsertEvent

    public static final int PreInsertEvent

  Deprecated.
  See Also:
    Constant Field Values

### PostInsertEvent

    public static final int PostInsertEvent

  Deprecated.
  See Also:
    Constant Field Values

### PreUpdateEvent

    public static final int PreUpdateEvent

  Deprecated.
  See Also:
    Constant Field Values

### PostUpdateEvent

    public static final int PostUpdateEvent

  Deprecated.
  See Also:
    Constant Field Values

### PostBuildEvent

    public static final int PostBuildEvent

  Deprecated.
  See Also:
    Constant Field Values

### PostRefreshEvent

    public static final int PostRefreshEvent

  Deprecated.
  See Also:
    Constant Field Values

### PostCloneEvent

    public static final int PostCloneEvent

  Deprecated.
  See Also:
    Constant Field Values

### PostMergeEvent

    public static final int PostMergeEvent

  Deprecated.
  See Also:
    Constant Field Values

### AboutToInsertEvent

    public static final int AboutToInsertEvent

  Deprecated.
  See Also:
    Constant Field Values

### AboutToUpdateEvent

    public static final int AboutToUpdateEvent

  Deprecated.
  See Also:
    Constant Field Values

### AboutToDeleteEvent

    public static final int AboutToDeleteEvent

  Deprecated.
  See Also:
    Constant Field Values

### PrePersistEvent

    public static final int PrePersistEvent

  Deprecated.
  See Also:
    Constant Field Values

### PreRemoveEvent

    public static final int PreRemoveEvent

  Deprecated.
  See Also:
    Constant Field Values

### PreUpdateWithChangesEvent

    public static final int PreUpdateWithChangesEvent

  Deprecated.
  See Also:
    Constant Field Values

Method Detail

### addListener

    public void addListener(java.lang.Object listener)

  Deprecated. since OracleAS TopLink 10g (10.1.3). This method is replaced by `addListener(DescriptorEventListener)`
  OBSOLETE: Listener objects can be registered with the event manager to be notified when an event occurs on any instance of the descriptor's class.

### addListener

    public void addListener(DescriptorEventListener listener)

  Deprecated.
  PUBLIC: Listener objects can be registered with the event manager to be notified when an event occurs on any instance of the descriptor's class.

### getEventListeners

    public java.util.Vector getEventListeners()

  Deprecated.
  PUBLIC: Returns the Listener objects that have been added.
  See Also:
    `addListener(DescriptorEventListener)`

### getPostBuildSelector

    public java.lang.String getPostBuildSelector()

  Deprecated.
  PUBLIC: The name of the method called after an object is built

### getPostCloneSelector

    public java.lang.String getPostCloneSelector()

  Deprecated.
  PUBLIC: The name of the method called after an object is cloned

### getPostDeleteSelector

    public java.lang.String getPostDeleteSelector()

  Deprecated.
  PUBLIC: The name of the method called after an object is deleted

### getPostInsertSelector

    public java.lang.String getPostInsertSelector()

  Deprecated.
  PUBLIC: The name of the method called after an object is inserted

### getPostMergeSelector

    public java.lang.String getPostMergeSelector()

  Deprecated.
  PUBLIC: The name of the method called after an object is merged

### getPostRefreshSelector

    public java.lang.String getPostRefreshSelector()

  Deprecated.
  PUBLIC: The name of the method called after an object is refreshed

### getPostUpdateSelector

    public java.lang.String getPostUpdateSelector()

  Deprecated.
  PUBLIC: The name of the method called after an object is updated

### getPostWriteSelector

    public java.lang.String getPostWriteSelector()

  Deprecated.
  PUBLIC: The name of the method called after an object is written

### getPrePersistSelector

    public java.lang.String getPrePersistSelector()

  Deprecated.
  PUBLIC: The name of the method called before the create operation is applied to an object

### getPreDeleteSelector

    public java.lang.String getPreDeleteSelector()

  Deprecated.
  PUBLIC: The name of the method called before an object is deleted

### getPreInsertSelector

    public java.lang.String getPreInsertSelector()

  Deprecated.
  PUBLIC: The name of the method called before an object is inserted

### getPreRemoveSelector

    public java.lang.String getPreRemoveSelector()

  Deprecated.
  PUBLIC: The name of the method called before the remove operation is applied to an object

### getPreUpdateSelector

    public java.lang.String getPreUpdateSelector()

  Deprecated.
  PUBLIC: The name of the method called before an object is updated

### getPreWriteSelector

    public java.lang.String getPreWriteSelector()

  Deprecated.
  PUBLIC: The name of the method called before an object is written

### removeListener

    public void removeListener(DescriptorEventListener listener)

  Deprecated.
  PUBLIC: Remove a event listener.

### removeListener

    public void removeListener(java.lang.Object listener)

  Deprecated. since OracleAS TopLink 10g (10.1.3). This method is replaced by `removeListener(DescriptorEventListener)`
  OBSOLETE: Remove a event listener.

### setAboutToInsertSelector

    public void setAboutToInsertSelector(java.lang.String aboutToInsertSelector)

  Deprecated.
  PUBLIC: A method can be registered to be called when an object's row it about to be inserted. This uses the optional event argument of the DatabaseRow. This is different from pre/postInsert because it occurs after the row has already been built. This event can be used to modify the row before insert, such as adding a user inserted by.

### setAboutToUpdateSelector

    public void setAboutToUpdateSelector(java.lang.String aboutToUpdateSelector)

  Deprecated.
  PUBLIC: A method can be registered to be called when an object's row it about to be updated. This uses the optional event argument of the DatabaseRow. This is different from pre/postUpdate because it occurs after the row has already been built, and it ONLY called if the update is required (changed within a unit of work), as the other occur ALWAYS. This event can be used to modify the row before insert, such as adding a user inserted by.

### setPostBuildSelector

    public void setPostBuildSelector(java.lang.String postBuildSelector)

  Deprecated.
  PUBLIC: A method can be registered to be called on a object that has just been built from the database. This uses the optional event argument of the DatabaseRow. This event can be used to correctly initialize an object's non-persistent attributes or to perform complex optimizations or mappings. This event is called whenever an object is built.

### setPostCloneSelector

    public void setPostCloneSelector(java.lang.String postCloneSelector)

  Deprecated.
  PUBLIC: A method can be registered to be called on a object that has just been cloned into a unit of work. This uses the optional event argument of the orignial object (the source object it the clone). This event can be used to correctly initialize an object's non-persistent attributes.

### setPostDeleteSelector

    public void setPostDeleteSelector(java.lang.String postDeleteSelector)

  Deprecated.
  PUBLIC: A method can be registered to be called on a object that has just been deleted from the database. This event can notify/remove any dependents on the object.

### setPostInsertSelector

    public void setPostInsertSelector(java.lang.String postInsertSelector)

  Deprecated.
  PUBLIC: A method can be registered to be called on a object that has just been inserted into the database. This event can be used to notify any dependent on the object, or to update information not accessible until the object has been inserted.

### setPostMergeSelector

    public void setPostMergeSelector(java.lang.String postMergeSelector)

  Deprecated.
  PUBLIC: A method can be registered to be called on a object that has just been merge from a unit of work. This uses the optional event argument of the orignial object which is the object being merged from, the source object is the object being merged into. This event can be used to correctly initialize an object's non-persistent attributes.

### setPostRefreshSelector

    public void setPostRefreshSelector(java.lang.String postRefreshSelector)

  Deprecated.
  PUBLIC: A method can be registered to be called on a object that has just been refreshed from the database. This uses the optional event argument of the DatabaseRow. This event can be used to correctly initialize an object's non-persistent attributes or to perform complex optimizations or mappings. This event is only called on refreshes of existing objects.

### setPostUpdateSelector

    public void setPostUpdateSelector(java.lang.String postUpdateSelector)

  Deprecated.
  PUBLIC: A method can be registered to be called on a object that has just been updated into the database. This event is raised on any registered object in a unit of work, even if it has not changed, refer to the "aboutToUpdate" selector if it is required for the event to be raised only when the object has been changed. This event can be used to notify any dependent on the object.

### setPostWriteSelector

    public void setPostWriteSelector(java.lang.String postWriteSelector)

  Deprecated.
  PUBLIC: A method can be registered to be called on a object that has just been written to the database. This event is raised on any registered object in a unit of work, even if it has not changed, refer to the "aboutToUpdate" selector if it is required for the event to be raised only when the object has been changed. This will be called on all inserts and updates, after the "postInsert/Update" event has been raised. This event can be used to notify any dependent on the object.

### setPreDeleteSelector

    public void setPreDeleteSelector(java.lang.String preDeleteSelector)

  Deprecated.
  PUBLIC: A method can be registered to be called on a object that is going to be deleted from the database. This event can notify/remove any dependents on the object.

### setPrePersistSelector

    public void setPrePersistSelector(java.lang.String prePersistSelector)

  Deprecated.
  PUBLIC: A method can be registered to be called on a object when that object has the create operation applied to it.

### setPreInsertSelector

    public void setPreInsertSelector(java.lang.String preInsertSelector)

  Deprecated.
  PUBLIC: A method can be registered to be called on a object that is going to be inserted into the database. This event can be used to notify any dependent on the object or acquire the object's id through a custom mechanism.

### setPreRemoveSelector

    public void setPreRemoveSelector(java.lang.String preRemoveSelector)

  Deprecated.
  PUBLIC: A method can be registered to be called on a object when that object has the remove operation applied to it.

### setPreUpdateSelector

    public void setPreUpdateSelector(java.lang.String preUpdateSelector)

  Deprecated.
  PUBLIC: A method can be registered to be called on a object that is going to be updated into the database. This event is raised on any registered object in a unit of work, even if it has not changed, refer to the "aboutToUpdate" selector if it is required for the event to be raised only when the object has been changed. This event can be used to notify any dependent on the object.

### setPreWriteSelector

    public void setPreWriteSelector(java.lang.String preWriteSelector)

  Deprecated.
  PUBLIC: A method can be registered to be called on a object that is going to be written to the database. This event is raised on any registered object in a unit of work, even if it has not changed, refer to the "aboutToUpdate" selector if it is required for the event to be raised only when the object has been changed. This will be called on all inserts and updates, before the "preInsert/Update" event has been raised. This event can be used to notify any dependent on the object.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD